{
  description = "main system configuration flake";

  inputs = {
    # NixOS official package source, using the nixos-24.05 branch as stable and nixos-unstable as default
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    stablepkgs.url = "github:NixOS/nixpkgs/nixos-24.05";

    # Home manager using nixos-unstable
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    anyrun = {
      url = "github:anyrun-org/anyrun";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, nixpkgs, stablepkgs, ... } @ inputs:
  let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
    stable = stablepkgs.legacyPacakges.${system};
  in
  {
    nixosConfigurations.gabbielaptop = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      inherit system;
      modules = [
        # Import configuration modules
        ./hosts/gabbielaptop/configuration.nix
	./modules/nh.nix
	./modules/environment.nix
        ./modules/waydroid.nix
        inputs.home-manager.nixosModules.default
#        inputs.anyrun.homeManagerModules.default
      ];
    };
  };
}
